__gnu_parallel::__identity_selector< _It > Struct Template Reference
Inheritance diagram for __gnu_parallel::__identity_selector< _It >:
[legend]

## Public Member Functions

template<typename _Op >
_It | operator() (_Op __o, _It __i)

## Public Attributes

_It | _M_finish_iterator

## Detailed Description

### template<typename _It>
struct __gnu_parallel::__identity_selector< _It >

Selector that just returns the passed iterator.

Definition at line 253 of file for_each_selectors.h.

## Member Function Documentation

## operator()()

template<typename _It>
template<typename _Op >

_It __gnu_parallel::__identity_selector< _It >::operator() | ( | _Op | __o,
|  | _It | __i
| ) |  |

inline

Functor execution.

Parameters

  __o | Operator (unused).
  __i | iterator referencing object.

Returns
  Passed iterator.

Definition at line 261 of file for_each_selectors.h.

## Member Data Documentation

## _M_finish_iterator

template<typename _It >

_It __gnu_parallel::__generic_for_each_selector< _It >::_M_finish_iterator

inherited

_Iterator on last element processed; needed for some algorithms (e. g. std::transform()).

Definition at line 47 of file for_each_selectors.h.

The documentation for this struct was generated from the following file:

- for_each_selectors.h